# Class TransitionEventType

This class defines a type of hook, such as `onBefore` or `onEnter`. Plugins can define custom hook types, such as sticky states does for `onInactive`.

- Defined in src/router/transition/transition-event-type.js:6

##### Index

### Constructors

constructor

### Properties

criteriaMatchPath
getErrorHandler
getResultHandler
hookOrder
hookPhase
name
reverseSort
synchronous

## Constructors

### constructor

- new TransitionEventType(
  name: any,
  hookPhase: any,
  hookOrder: any,
  criteriaMatchPath: any,
  reverseSort?: boolean,
  getResultHandler?: (hook: any) => (result: any) => any,
  getErrorHandler?: () => (error: any) => any,
  synchronous?: boolean,
  ): TransitionEventType

  #### Parameters

  - name: any
  - hookPhase: any
  - hookOrder: any
  - criteriaMatchPath: any
  - reverseSort: boolean = false
  - getResultHandler: (hook: any) => (result: any) => any = TransitionHook.HANDLE_RESULT
    - - (hook: any): (result: any) => any

      - These GetResultHandler(s) are used by [[invokeHook]] below Each HookType chooses a GetResultHandler (See: [[TransitionService._defineCoreEvents]])

        #### Parameters

        - hook: any

        #### Returns (result: any) => any

  - getErrorHandler: () => (error: any) => any = TransitionHook.REJECT_ERROR
  - synchronous: boolean = false

  #### Returns TransitionEventType

  - Defined in src/router/transition/transition-event-type.js:7

## Properties

### criteriaMatchPath

criteriaMatchPath: any

- Defined in src/router/transition/transition-event-type.js:20

### getErrorHandler

getErrorHandler: () => (error: any) => any

- Defined in src/router/transition/transition-event-type.js:23

### getResultHandler

getResultHandler: (hook: any) => (result: any) => any

#### Type declaration

- - (hook: any): (result: any) => any

  - These GetResultHandler(s) are used by [[invokeHook]] below Each HookType chooses a GetResultHandler (See: [[TransitionService._defineCoreEvents]])

    #### Parameters

    - hook: any

    #### Returns (result: any) => any

- Defined in src/router/transition/transition-event-type.js:22

### hookOrder

hookOrder: any

- Defined in src/router/transition/transition-event-type.js:19

### hookPhase

hookPhase: any

- Defined in src/router/transition/transition-event-type.js:18

### name

name: any

- Defined in src/router/transition/transition-event-type.js:17

### reverseSort

reverseSort: boolean

- Defined in src/router/transition/transition-event-type.js:21

### synchronous

synchronous: boolean

- Defined in src/router/transition/transition-event-type.js:24